package com.woniuxy.android;

import android.app.Activity;
import android.os.Bundle;
import android.os.StrictMode;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.webkit.CookieManager;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Button;

public class MainActivity extends Activity {
	
	// Button btnLoad;
	WebView wvOne;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		// 强制主线程访问网络
		StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().detectDiskReads().detectDiskWrites().detectNetwork().penaltyLog().build());
		
		// btnLoad = (Button) findViewById(R.id.btnLoad);
		wvOne = (WebView) findViewById(R.id.wvOne);
		WebSettings settings = wvOne.getSettings();
		settings.setAllowFileAccess(true);
		settings.setDefaultTextEncodingName("UTF-8");
		settings.setJavaScriptEnabled(true);
		wvOne.setWebChromeClient(new WebChromeClient());
		wvOne.loadUrl("http://10.0.0.159:8080/DefectDemo/");
		
		wvOne.setWebViewClient(new WebViewClient() {
			@Override
			public boolean shouldOverrideUrlLoading(WebView view, String url) {
				view.loadUrl(url);   //在当前的webview中跳转到新的url
				return true;
			}
		});
		
//		btnLoad.setOnClickListener(new OnClickListener() {
//			public void onClick(View v) {
//				//wvOne.loadUrl("file:///android_asset/test.html");
//				wvOne.loadUrl("http://10.0.0.159:8080/DefectDemo/");
//			}
//		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	@Override
	protected void onDestroy() {
	    super.onDestroy();
	    //清空所有Cookie
	    CookieManager cookieManager = CookieManager.getInstance(); 
	    cookieManager.removeAllCookie();

	    wvOne.setWebChromeClient(null);
	    wvOne.setWebViewClient(null);
	    wvOne.getSettings().setJavaScriptEnabled(false);
	    wvOne.clearCache(true);
	}
}
